debian: Apply "wrap-and-sort -abst".

parent ae9f022f
......@@ -4,90 +4,104 @@ Priority: optional
Maintainer: Mikhail Novosyolov <mikhailnov@dumalogiya.ru>
Standards-Version: 4.1.4
Homepage: https://github.com/wwmm/pulseeffects
Build-Depends: debhelper (>=11),
scour,
meson (>=0.40),
pkg-config,
libgstreamer1.0-dev (>= 1.12.5),
libgstreamer-plugins-bad1.0-dev,
libpulse-dev,
libpango1.0-dev,
libgtk-3-dev,
libglibmm-2.4-dev,
libgtkmm-3.0-dev,
libboost-filesystem-dev (>= 1.65) | libboost-filesystem1.70-dev (>= 1.65) | libboost-filesystem1.69-dev (>= 1.65) | libboost-filesystem1.68-dev (>= 1.65) | libboost-filesystem1.67-dev (>= 1.65) | libboost-filesystem1.66-dev (>= 1.65) | libboost-filesystem1.65-dev (>= 1.65),
libboost-system-dev (>= 1.65) | libboost-system1.70-dev (>= 1.65) | libboost-system1.69-dev (>= 1.65) | libboost-system1.68-dev (>= 1.65) | libboost-system1.67-dev (>= 1.65) | libboost-system1.66-dev (>= 1.65) | libboost-system1.65-dev (>= 1.65),
libbs2b-dev,
liblilv-dev,
librubberband-dev,
libzita-convolver-dev,
libsndfile1-dev,
libsamplerate0-dev,
itstool,
libebur128-dev,
appstream-util,
desktop-file-utils
Build-Depends:
appstream-util,
debhelper (>=11),
desktop-file-utils,
itstool,
libboost-filesystem-dev (>= 1.65) | libboost-filesystem1.70-dev (>= 1.65) | libboost-filesystem1.69-dev (>= 1.65) | libboost-filesystem1.68-dev (>= 1.65) | libboost-filesystem1.67-dev (>= 1.65) | libboost-filesystem1.66-dev (>= 1.65) | libboost-filesystem1.65-dev (>= 1.65),
libboost-system-dev (>= 1.65) | libboost-system1.70-dev (>= 1.65) | libboost-system1.69-dev (>= 1.65) | libboost-system1.68-dev (>= 1.65) | libboost-system1.67-dev (>= 1.65) | libboost-system1.66-dev (>= 1.65) | libboost-system1.65-dev (>= 1.65),
libbs2b-dev,
libebur128-dev,
libglibmm-2.4-dev,
libgstreamer-plugins-bad1.0-dev,
libgstreamer1.0-dev (>= 1.12.5),
libgtk-3-dev,
libgtkmm-3.0-dev,
liblilv-dev,
libpango1.0-dev,
libpulse-dev,
librubberband-dev,
libsamplerate0-dev,
libsndfile1-dev,
libzita-convolver-dev,
meson (>=0.40),
pkg-config,
scour,
Package: pulseeffects
Package: gstreamer1.0-adapter-pulseeffects
Architecture: any
Depends: ${misc:Depends},
${shlibs:Depends},
pulseaudio,
gstreamer1.0-plugins-bad,
gstreamer1.0-plugins-good,
gir1.2-gst-plugins-bad-1.0,
gstreamer1.0-pulseaudio,
gstreamer1.0-adapter-pulseeffects
# gstreamer1.0-adapter-pulseeffects is a strict dependency, not recommended
# see https://github.com/wwmm/pulseeffects/issues/307#issuecomment-415078508
Recommends: calf-plugins (>= 0.90.0),
zam-plugins,
rubberband-ladspa,
liblilv-0-0,
mda-lv2,
gstreamer1.0-convolver-pulseeffects,
gstreamer1.0-crystalizer-pulseeffects,
gstreamer1.0-autogain-pulseeffects
Description: Sound input and output effects for PulseAudio
Many sound effects for PulseAudio input and output.
Depends:
${misc:Depends},
${shlibs:Depends},
Provides:
gstreamer1.0-adapter,
peadapter,
Description: Gstreamer adapter
Simple plugin that gives output buffers
with the desired number of samples.
.
It is used in PulseEffects to ensure that
the number of audio samples in the buffer
is a power of 2. The convolver needs this.
Package: gstreamer1.0-autogain-pulseeffects
Architecture: any
Depends:
${misc:Depends},
${shlibs:Depends},
Provides:
gstreamer1.0-autogain,
peautogain,
Description: Gstreamer crystalizer
Simple Gstreamer plugin that changes audio gain
to match the levels recommended by the ebur128 standard.
Package: gstreamer1.0-convolver-pulseeffects
Architecture: any
Depends: ${misc:Depends},
${shlibs:Depends}
Provides: peconvolver, gstreamer1.0-convolver
Replaces: pulseeffects (<< 4.1.7-3)
Depends:
${misc:Depends},
${shlibs:Depends},
Provides:
gstreamer1.0-convolver,
peconvolver,
Replaces:
pulseeffects (<< 4.1.7-3),
Description: Gstreamer convolver
Simple Gstreamer crystalizer plugin based on
the library Zita-convolver.
Package: gstreamer1.0-crystalizer-pulseeffects
Architecture: any
Depends: ${misc:Depends},
${shlibs:Depends}
Provides: pecrystalizer, gstreamer1.0-crystalizer
Depends:
${misc:Depends},
${shlibs:Depends},
Provides:
gstreamer1.0-crystalizer,
pecrystalizer,
Description: Gstreamer crystalizer
Simple Gstreamer plugin useful to add more dynamic range
to songs that were overly compressed.
Package: gstreamer1.0-autogain-pulseeffects
Architecture: any
Depends: ${misc:Depends},
${shlibs:Depends}
Provides: peautogain, gstreamer1.0-autogain
Description: Gstreamer crystalizer
Simple Gstreamer plugin that changes audio gain
to match the levels recommended by the ebur128 standard.
Package: gstreamer1.0-adapter-pulseeffects
Package: pulseeffects
Architecture: any
Depends: ${misc:Depends},
${shlibs:Depends}
Provides: peadapter, gstreamer1.0-adapter
Description: Gstreamer adapter
Simple plugin that gives output buffers
with the desired number of samples.
.
It is used in PulseEffects to ensure that
the number of audio samples in the buffer
is a power of 2. The convolver needs this.
Depends:
gir1.2-gst-plugins-bad-1.0,
gstreamer1.0-adapter-pulseeffects,
gstreamer1.0-plugins-bad,
gstreamer1.0-plugins-good,
gstreamer1.0-pulseaudio,
pulseaudio,
${misc:Depends},
${shlibs:Depends},
Recommends:
calf-plugins (>= 0.90.0),
gstreamer1.0-autogain-pulseeffects,
gstreamer1.0-convolver-pulseeffects,
gstreamer1.0-crystalizer-pulseeffects,
liblilv-0-0,
mda-lv2,
rubberband-ladspa,
zam-plugins,
Description: Sound input and output effects for PulseAudio
Many sound effects for PulseAudio input and output.
......@@ -21,4 +21,4 @@ License: GPL-3.0+
along with this program. If not, see <http://www.gnu.org/licenses/>.
.
On Debian systems, the complete text of the GNU General
Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
usr/lib/*/gstreamer-1.0/libgstpecrystalizer.so
usr/lib/*/gstreamer-1.0/libgstpecrystalizer.so
usr/share/*
usr/bin/*
usr/share/*
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment